Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 405555 - media-libs/glfw-2.7.6 version bump
Summary: media-libs/glfw-2.7.6 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: All Linux
: Normal enhancement with 1 vote (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: EBUILD, PATCH
Depends on:
Blocks:
 
Reported: 2012-02-24 10:56 UTC by Jon Daniel
Modified: 2012-11-19 20:48 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
media-libs/glfw-2.7.3 (glfw-2.7.3.ebuild,1.66 KB, text/plain)
2012-02-24 10:57 UTC, Jon Daniel
Details
media-libs/glfw/files/glfw-2.7.3.ldflags.patch (glfw-2.7.3-ldflags.patch,883 bytes, patch)
2012-02-24 10:58 UTC, Jon Daniel
Details | Diff
glfw-2.7.7.ebuild.diff (glfw-2.7.7.ebuild.diff,2.81 KB, patch)
2012-11-17 23:27 UTC, Julian Ospald
Details | Diff
glfw-2.7.7-dyn.patch (glfw-2.7.7-dyn.patch,1021 bytes, patch)
2012-11-17 23:28 UTC, Julian Ospald
Details | Diff
glfw-2.7.7-pkgconfig.patch (glfw-2.7.7-pkgconfig.patch,1.12 KB, patch)
2012-11-17 23:28 UTC, Julian Ospald
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Daniel 2012-02-24 10:56:02 UTC
Version bump to glfw-2.7.3

Reproducible: Always
Comment 1 Jon Daniel 2012-02-24 10:57:20 UTC
Created attachment 303045 [details]
media-libs/glfw-2.7.3

The updated ebuild
Comment 2 Jon Daniel 2012-02-24 10:58:10 UTC
Created attachment 303047 [details, diff]
media-libs/glfw/files/glfw-2.7.3.ldflags.patch
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2012-02-24 15:58:00 UTC
Comment on attachment 303045 [details]
media-libs/glfw-2.7.3

--- glfw-2.6.ebuild     2010-09-13 14:09:46.000000000 +0200
+++ -   2012-02-24 16:57:43.325471590 +0100
@@ -1,6 +1,5 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/glfw/glfw-2.6.ebuild,v 1.6 2010/09/13 12:09:46 tupone Exp $
 
 EAPI=2
 inherit eutils multilib
@@ -20,34 +19,33 @@
 S=${WORKDIR}/${PN}
 
 src_prepare() {
-       sed -i \
-               -e "s:\"docs/:\"/usr/share/doc/${PF}/pdf/:" \
-               readme.html \
-               || die "sed failed"
-       epatch "${FILESDIR}/${P}"-dyn.patch \
-               "${FILESDIR}"/${P}-ldflags.patch
+       cd "${WORKDIR}/${P}"
+       epatch "${FILESDIR}"/${P}-ldflags.patch
 }
 
 src_configure() {
+       cd "${WORKDIR}/${P}"
        sh ./compile.sh
 }
 
 src_compile() {
-       emake -C lib/x11 PREFIX=/usr -f Makefile.x11 default libglfw.pc || die "emake failed"
+       cd "${WORKDIR}/${P}"
+       emake -C lib/x11 PREFIX=/usr -f Makefile.x11 all libglfw.pc || die "emake failed"
 }
 
 src_install() {
+       cd "${WORKDIR}/${P}"
        dolib.a lib/x11/libglfw.a || die "dolib.a failed"
-       dolib.so lib/x11/libglfw.so.2.6 || die "dolib.so failed"
-       dosym libglfw.so.2.6 /usr/$(get_libdir)/libglfw.so
+       dolib.so lib/x11/libglfw.so || die "dolib.so failed"

        insinto /usr/$(get_libdir)/pkgconfig
        doins lib/x11/libglfw.pc || die "doins failed"
        insinto /usr/include/GL
        doins include/GL/glfw.h || die "doins failed"
-       dohtml -r readme.html
-       insinto /usr/share/doc/${PF}/html/images
-       doins images/*
+       insinto /usr/share/doc/${PF}
+       doins docs/readme.txt
+       insinto /usr/share/doc/${PF}/html
+       doins readme.html
        insinto /usr/share/doc/${PF}/pdf
        doins docs/*.pdf
Comment 4 Jon Daniel 2012-02-24 17:31:25 UTC
examples installation fixed:

--- glfw-2.6.ebuild	2010-09-13 14:09:46.000000000 +0200
+++ glfw-2.7.3.ebuild	2012-02-24 18:26:16.125362047 +0100
@@ -1,6 +1,5 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/glfw/glfw-2.6.ebuild,v 1.6 2010/09/13 12:09:46 tupone Exp $
 
 EAPI=2
 inherit eutils multilib
@@ -20,40 +19,42 @@
 S=${WORKDIR}/${PN}
 
 src_prepare() {
-	sed -i \
-		-e "s:\"docs/:\"/usr/share/doc/${PF}/pdf/:" \
-		readme.html \
-		|| die "sed failed"
-	epatch "${FILESDIR}/${P}"-dyn.patch \
-		"${FILESDIR}"/${P}-ldflags.patch
+	cd "${WORKDIR}/${P}"
+	epatch "${FILESDIR}"/${P}-ldflags.patch
 }
 
 src_configure() {
+	cd "${WORKDIR}/${P}"
 	sh ./compile.sh
 }
 
 src_compile() {
-	emake -C lib/x11 PREFIX=/usr -f Makefile.x11 default libglfw.pc || die "emake failed"
+	cd "${WORKDIR}/${P}"
+	emake -C lib/x11 PREFIX=/usr -f Makefile.x11 all libglfw.pc || die "emake failed"
+	if use examples; then
+		emake -C examples -f Makefile.x11 all || die "emake failed"
+	fi
 }
 
 src_install() {
+	cd "${WORKDIR}/${P}"
 	dolib.a lib/x11/libglfw.a || die "dolib.a failed"
-	dolib.so lib/x11/libglfw.so.2.6 || die "dolib.so failed"
-	dosym libglfw.so.2.6 /usr/$(get_libdir)/libglfw.so
+	dolib.so lib/x11/libglfw.so || die "dolib.so failed"
 
 	insinto /usr/$(get_libdir)/pkgconfig
 	doins lib/x11/libglfw.pc || die "doins failed"
 	insinto /usr/include/GL
 	doins include/GL/glfw.h || die "doins failed"
-	dohtml -r readme.html
-	insinto /usr/share/doc/${PF}/html/images
-	doins images/*
+	insinto /usr/share/doc/${PF}
+	doins docs/readme.txt
+	insinto /usr/share/doc/${PF}/html
+	doins readme.html
 	insinto /usr/share/doc/${PF}/pdf
 	doins docs/*.pdf
 
 	if use examples; then
 		local f
-		local MY_EXAMPLES="boing gears keytest listmodes mipmaps
+		local MY_EXAMPLES="boing gears heightmap listmodes mipmaps
 			mtbench mthello particles pong3d splitview
 			triangle wave"
 		local MY_PICS="mipmaps.tga pong3d_field.tga pong3d_instr.tga
Comment 5 Alexander Berntsen (RETIRED) gentoo-dev 2012-11-05 15:09:55 UTC
Please add this to Portage ASAP. I need it for my work.

I don't have time to write or look at an ebuild right now as I am hacking on some code that requires 2.7.x straight away. What I did was download the src from their Website and "make x11 && make x11-install". I had no trouble with this, and do not know why the ebuilds posted above are so complex. They probably are so for a reason (feel free to elaborate, those of you with more knowledge, as I would be interested myself), but in case you wan this up and running quickly - just do what I did. Remember to emerge -C the old version though, since its path is before local path.
Comment 6 Julian Ospald 2012-11-17 23:27:44 UTC
Created attachment 329774 [details, diff]
glfw-2.7.7.ebuild.diff

updated ebuild
Comment 7 Julian Ospald 2012-11-17 23:28:04 UTC
Created attachment 329776 [details, diff]
glfw-2.7.7-dyn.patch
Comment 8 Julian Ospald 2012-11-17 23:28:15 UTC
Created attachment 329778 [details, diff]
glfw-2.7.7-pkgconfig.patch
Comment 9 Julian Ospald 2012-11-19 20:48:56 UTC
+*glfw-2.7.7 (19 Nov 2012)
+
+  19 Nov 2012; Julian Ospald <hasufell@gentoo.org> +glfw-2.7.7.ebuild,
+  +files/glfw-2.7.7-dyn.patch, +files/glfw-2.7.7-pkgconfig.patch:
+  version bump wrt #405555